var MoveSpeed=20;  //定义移动速度MoveSpeed为20
var mouseon : int; //定义mouseon为整数，记录鼠标是否位于物体上
static var yt=0;  //定义yt为全球变量方便其他程序调用，且为整数初始为0，用于记录是否摇头

function OnMouseEnter() //当鼠标位于该物体上时，该函数触发
{
	renderer.material.color = Color.red; //该物体颜色变为红色
	mouseon=1;  //鼠标位于物体上
	return mouseon;
}

function OnMouseExit() //当鼠标不在该物体上时，该函数触发
{
	renderer.material.color = Color.green; //该物体颜色变为绿色
	mouseon=0; //鼠标不在物体上
	return mouseon;
}

function Update ()
{
	if( mouseon && Input.GetButtonDown("Fire1") || Input.GetKeyDown(KeyCode.L) ) //若鼠标左键对其点击，或者按下L键，摇头按钮动作
	{
		if(yt==0) //如果当前没摇头，则摇头按钮按下，并摇头
		{
			this.transform.Translate(Vector3.down*0.005*MoveSpeed);//摇头按钮向下移动一段距离
			//transform.position.y = 2.61;
		}
		else  //如果当前摇头，则摇头按钮弹起，停止摇头
		{
			this.transform.Translate(Vector3.down*0.005*-MoveSpeed);//摇头按钮向上移动一段距离
			//transform.position.y = 2.68;
		}
		yt=(yt+1)%2; //利用函数使摇头控制信号始终在0和1之间转换
	}
}